<div class="page-header">
  <button class="back-button" tabindex="0" (click)="goToPreviousPage()"
    [ngClass]="{'has-beta-style': pageInfo.hasBetaStyle}">
    <img class="icon-left-arrow" src="./assets/img/left_arrow.svg" alt="">
    <ng-container i18n="@@dataset.detail.back">Back</ng-container>
  </button>

  <div class="page-title"
    [ngClass]="{'has-surtitle': pageInfo.surtitle, 'has-padding': !pageInfo.surtitle && pageInfo.shareButtons && pageInfo.shareButtons.isActive}">
    <div class="surtitle-item" *ngIf="pageInfo.surtitle">
      <span>{{ pageInfo.surtitle }}</span>
    </div>
    <h1 class="title-item">
      {{ pageInfo.title }} <span class="metadataSubtitle" *ngIf="pageInfo.metadataSubtitle"> -
        {{ pageInfo.metadataSubtitle }} </span>
    </h1>

    <div class="subtitle-item" *ngIf="pageInfo.subtitle">
      <span>{{ pageInfo.subtitle }}</span>
    </div>
  </div>

  <div class="share-buttons" *ngIf="pageInfo.shareButtons && pageInfo.shareButtons.isActive && isSeoWsDefined"
    [ngClass]="{'displayed': isMediaShareButtonsDisplayed}">
    <a (click)="share('facebook')" (keydown.enter)="share('facebook')" tabindex="0" class="facebook-button">
      <span class="sr-only" i18n="@@header.shares.facebook">Share on Facebook (new window)</span>
      <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" fill="none" viewBox="0 0 25 25">
        <path fill="#3B5998"
          d="M25 2.679V22.32c0 .744-.26 1.377-.781 1.898-.521.52-1.154.781-1.898.781h-4.743v-9.877h3.348l.503-3.795h-3.85v-2.4c0-.595.11-1.041.334-1.339.298-.335.8-.502 1.507-.502h2.009V3.739c-.782-.112-1.749-.168-2.902-.168-1.488 0-2.679.447-3.572 1.34-.855.855-1.283 2.064-1.283 3.627v2.79h-3.404v3.795h3.404V25H2.679c-.744 0-1.377-.26-1.898-.781A2.583 2.583 0 0 1 0 22.32V2.68C0 1.935.26 1.302.781.78A2.583 2.583 0 0 1 2.68 0H22.32c.744 0 1.377.26 1.898.781.52.521.781 1.154.781 1.898z" />
      </svg>
    </a>

    <a (click)="share('twitter')" (keydown.enter)="share('twitter')" tabindex="0" class="twitter-button">
      <span class="sr-only" i18n="@@header.shares.twitter">Share on Twitter (new window)</span>
      <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" fill="none" viewBox="0 0 25 25">
        <path fill="#00ACEE"
          d="M22.321 0H2.68C1.935 0 1.302.26.78.781A2.583 2.583 0 0 0 0 2.68V22.32c0 .744.26 1.377.781 1.898.521.52 1.154.781 1.898.781H22.32c.744 0 1.377-.26 1.898-.781.52-.521.781-1.154.781-1.898V2.68c0-.744-.26-1.377-.781-1.898A2.583 2.583 0 0 0 22.32 0zm-2.734 8.873v.446c0 1.674-.39 3.293-1.172 4.855-.855 1.674-2.027 2.995-3.515 3.962-1.675 1.079-3.572 1.619-5.692 1.619-2.047 0-3.925-.54-5.637-1.619h.893c1.674 0 3.181-.52 4.52-1.562a3.592 3.592 0 0 1-2.12-.67 3.556 3.556 0 0 1-1.284-1.841 4.996 4.996 0 0 0 1.674-.056 3.713 3.713 0 0 1-2.12-1.284 3.55 3.55 0 0 1-.837-2.344v-.055c.52.297 1.079.465 1.674.502a3.682 3.682 0 0 1-1.228-1.284 3.739 3.739 0 0 1-.446-1.785c0-.67.167-1.284.502-1.842A11.382 11.382 0 0 0 8.147 8.65a10.254 10.254 0 0 0 4.241 1.116c-.186-.819-.13-1.563.168-2.233a3.74 3.74 0 0 1 1.34-1.674 3.727 3.727 0 0 1 2.064-.613c1.041 0 1.916.39 2.623 1.171a6.94 6.94 0 0 0 2.343-.892 3.75 3.75 0 0 1-1.618 2.008 7.462 7.462 0 0 0 2.12-.558 8.12 8.12 0 0 1-1.84 1.898z" />
      </svg>
    </a>

    <a (click)="share('linkedin')" (keydown.enter)="share('linkedin')" tabindex="0" class="linkedin-button">
      <span class="sr-only" i18n="@@header.shares.linkedin">Share on LinkedIn (new window)</span>
      <svg version="1.1" aria-hidden="true" id="Calque_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
        x="0px" y="0px" viewBox="0 0 25 25" style="enable-background:new 0 0 25 25;" xml:space="preserve">
        <style type="text/css">
          .st0 {
            clip-path: url(#SVGID2);
          }

          .st1 {
            fill: #00ACEE;
          }

          .st2 {
            fill: #0076B2;
          }
        </style>
        <path class="st2" d="M24.2,0.7c-0.2-0.3-0.5-0.5-0.9-0.6C23,0,22.6-0.1,22.3,0H2.6C1.9,0,1.3,0.2,0.7,0.7C0.5,1,0.3,1.3,0.2,1.6
    C0,1.9,0,2.3,0,2.6v19.6c0,0.7,0.3,1.4,0.8,1.9C1.3,24.7,1.9,25,2.6,25h19.6c0.7,0,1.4-0.3,1.9-0.8c0.5-0.5,0.8-1.2,0.8-1.9V2.6
    C25,1.9,24.7,1.3,24.2,0.7z M7.5,21.4H3.8V9.5h3.7V21.4z M5.7,7.8c-1.2,0-2.1-1-2.1-2.2c0-1.2,1-2.1,2.1-2.1c1.2,0,2.1,1,2.1,2.1
    C7.8,6.9,6.8,7.8,5.7,7.8z M21.4,21.4h-3.7v-5.8c0-1.4,0-3.2-1.9-3.2c-1.9,0-2.2,1.5-2.2,3.1v5.9H9.8V9.5h3.6v1.6h0.1
    c0.5-0.9,1.7-1.9,3.5-1.9c3.8,0,4.4,2.5,4.4,5.7V21.4z" />
      </svg>
    </a>

    <button class="button copy-link-button has-tooltip-left tooltip" type="button" aria-label="Share the post"
      i18n-aria-label="@@cmsPostDetail.share" (click)="copyToClipboard()" (keydown.enter)="copyToClipboard()"
      [attr.data-tooltip]="messageClipboard">
      <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20" aria-hidden="true">
        <path fill="#818080" fill-rule="evenodd"
          d="M1.852 7.777a2.619 2.619 0 0 1 0-3.703l2.222-2.222a2.619 2.619 0 0 1 3.704 0l2.963 2.963a2.619 2.619 0 0 1 0 3.703l-.37.37.74.741.37-.37a2.619 2.619 0 0 1 3.704 0l2.963 2.963a2.619 2.619 0 0 1 0 3.704l-2.222 2.222a2.619 2.619 0 0 1-3.704 0L9.26 15.185a2.619 2.619 0 0 1 0-3.704l.37-.37-.74-.741-.37.37a2.619 2.619 0 0 1-3.704 0L1.852 7.777zm7.037-.37l-.74-.74a1.048 1.048 0 0 0-1.482 1.48l.74.742-.37.37a.524.524 0 0 1-.74 0L3.332 6.296a.524.524 0 0 1 0-.74l2.223-2.223a.524.524 0 0 1 .74 0L9.26 6.296a.524.524 0 0 1 0 .74l-.37.371zm2.222 5.185l-.37.37a.524.524 0 0 0 0 .742l2.963 2.962a.524.524 0 0 0 .74 0l2.223-2.222a.524.524 0 0 0 0-.74l-2.963-2.963a.524.524 0 0 0-.741 0l-.37.37.74.74a1.047 1.047 0 1 1-1.481 1.482l-.74-.74z"
          clip-rule="evenodd" />
      </svg>
    </button>

    <a tabindex="0" class="button toogle-share-button"
      (click)="isMediaShareButtonsDisplayed = !isMediaShareButtonsDisplayed"
      (keydown.enter)="isMediaShareButtonsDisplayed = !isMediaShareButtonsDisplayed">
      <svg version="1.1" id="Calque_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
        x="0px" y="0px" viewBox="0 0 25 25" style="enable-background:new 0 0 25 25;" xml:space="preserve">
        <style type="text/css">
          .st0 {
            clip-path: url(#SVGID_2_);
          }

          .st1 {
            fill: #00ACEE;
          }

          .st2 {
            fill: #0076B2;
          }

          .st3 {
            fill: #818080;
          }
        </style>
        <path class="st3" d="M5.9,12.5c0,1.3,1,2.3,2.3,2.3c0.6,0,1.2-0.2,1.6-0.6l4.7,2.7c0,0.1,0,0.2,0,0.3c0,1.3,1,2.3,2.3,2.3
	c1.3,0,2.3-1,2.3-2.3s-1-2.3-2.3-2.3c-0.6,0-1.2,0.2-1.6,0.6l-4.7-2.7c0-0.1,0-0.2,0-0.3s0-0.2,0-0.3l4.7-2.7c0.4,0.4,1,0.6,1.6,0.6
	c1.3,0,2.3-1,2.3-2.3s-1-2.3-2.3-2.3c-1.3,0-2.3,1-2.3,2.3c0,0.1,0,0.2,0,0.3l-4.7,2.7c-0.4-0.4-1-0.6-1.6-0.6
	C6.9,10.2,5.9,11.2,5.9,12.5z" />
      </svg>
    </a>
  </div>
</div>
